=== debian/changelog ===
kf6-ktextaddons (1.6.0+p24.04+vstable+git20250909.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 01:25:47 +0000

kf6-ktextaddons (1.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Jun 2025 19:23:39 +0000

kf6-ktextaddons (1.5.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Apr 2023 02:46:06 +0000
