## kf6-ktextaddons 1.7.1

=== debian/changelog ===
kf6-ktextaddons (1.7.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 02:22:36 +0000

kf6-ktextaddons (1.7.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 01 Sep 2025 18:46:58 +1000
