## kf6-ktextaddons 1.8.0

=== debian/changelog ===
kf6-ktextaddons (1.8.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:37:32 +0000

kf6-ktextaddons (1.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 13 Oct 2025 09:01:12 +1000
