## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251019.0143

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251019.0143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:43:21 +0000
