## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251021.0322

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251021.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:22:31 +0000
