## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251025.0244

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251025.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 02:45:02 +0000
