## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251028.0837

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251028.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:37:39 +0000
