=== debian/control ===
Source: kf6-ktextaddons
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kf6-syntax-highlighting-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-speech-dev,
               qt6-tools-dev,
               qt6-tools-private-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ktextaddons.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ktextaddons
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ktextaddons
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5textaddons-data (<< 1.5.3-1)
Replaces: libkf6textaddonswidgets1,
          libkf6textautocorrection1,
          libkf6textedittexttospeech1,
          libkf6textemoticons1,
          libkf6textgrammarcheck1,
          libkf6texttranslator1
Description: Text processing library from KDE
 Various text handling addons.

Package: kf6-ktextaddons-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-karchive-dev,
         kf6-kcolorscheme-dev,
         kf6-kconfigwidgets-dev,
         kf6-kcoreaddons-dev,
         kf6-ki18n-dev,
         kf6-ktextaddons (= ${binary:Version}),
         kf6-kxmlgui-dev,
         qt6-base-dev,
         qt6-multimedia-dev,
         qt6-speech-dev,
         qt6-tools-dev,
         qtkeychain-qt6-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6ktextaddons-dev
Description: Text processing library from KDE
 Various text handling addons.
 .
 Contains development files for ktextaddons.

Package: libkf6ktextaddons-dev
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttranslator1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textautocorrection1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textemoticons1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
