=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ktextaddons/ktextaddons-([\d.]+)\.tar\.xz
