## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251030.0252

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251030.0252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 02:52:27 +0000
