## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251031.0332

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251031.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:32:37 +0000
