## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251206.0457

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251206.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 04:57:17 +0000
