## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251219.0210

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251219.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 Dec 2025 02:11:02 +0000
